> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Vendor Mapping



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/rules/update_vendor_mapping
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/rules/update_vendor_mapping:
    post:
      tags:
        - rules
        - quanta-services-api
      summary: Update Vendor Mapping
      operationId: update_vendor_mapping
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateVendorMappingRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateVendorMappingResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateVendorMappingRequest:
      properties:
        vendor_trait_qid:
          type: string
          minLength: 1
          pattern: ^spend_trait_vendor_
          title: Vendor Trait Qid
        gl_account_qid:
          type: string
          minLength: 1
          title: Gl Account Qid
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
        clear_department:
          type: boolean
          title: Clear Department
          default: false
        reason:
          type: string
          minLength: 1
          title: Reason
        reason_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Type
      type: object
      required:
        - vendor_trait_qid
        - gl_account_qid
        - reason
      title: UpdateVendorMappingRequest
    UpdateVendorMappingResponse:
      properties:
        success:
          type: boolean
          title: Success
        vendor_trait_qid:
          type: string
          title: Vendor Trait Qid
        gl_account_qid:
          type: string
          title: Gl Account Qid
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
        gl_mapping_changed:
          type: boolean
          title: Gl Mapping Changed
        department_mapping_changed:
          type: boolean
          title: Department Mapping Changed
      type: object
      required:
        - success
        - vendor_trait_qid
        - gl_account_qid
        - gl_mapping_changed
        - department_mapping_changed
      title: UpdateVendorMappingResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.